跳到内容
Esc
↑↓导航↵打开⌘J预览

Retrieve a segment

GET/segments/{id}
授权
AuthorizationBearer 令牌 · header必填

A BillionSend API key (bs_…).

路径参数
idstring<uuid>必填
响应
200

Segment

objectstring必填
允许值:segment
idstring<uuid>必填
namestring必填
domain_idstring<uuid> | null必填

BillionSend extension: the domain the segment is bound to; null for a team-wide segment

filterSegmentFilter | null必填
显示属性
matchstring必填
允许值:allany
conditionsobject[]必填
最多 50 项
显示属性
object 数组
fieldstring必填
opstring必填
valuestring | null必填
最大长度 500
created_atstring必填
contact_countnumber必填
401

Missing, malformed, unknown or revoked API key

statusCodenumber必填
namestring必填
messagestring必填
404

Not found

statusCodenumber必填
namestring必填
messagestring必填
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumber必填
namestring必填
messagestring必填
试一试
服务器
授权
参数
请求
curl -X GET 'https://api.billionsend.com/segments/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
响应
{
  "object": "segment",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "domain_id": "b2f7354f-b74d-4332-ab10-1a5e3c56466c",
  "filter": {
    "match": "all",
    "conditions": [
      {
        "field": "string",
        "op": "string",
        "value": "string"
      }
    ]
  },
  "created_at": "string",
  "contact_count": 0
}

这个页面有帮助吗?